<?php
if (! defined('_CORE_DIR')) define('_CORE_DIR', '__core__/'); // defined in config.php
define('_BASE_DIR_NAME', 'system');
define('APP_URL', _BASE_URL._BASE_DIR_NAME); // direkt elérés - public
define('FILES_DIR', "files");
define('FILES_URL', APP_URL."/".FILES_DIR); // Külső fájlok könyvtára

define('ARCULAT_DIR', _CORE_DIR.'arculat');

define('BASIC_MODULE_DIR', 'sw_project_client');
define('BASIC_MODULE_CLASS', 'swProjectClient');


include(_CORE_DIR.'AdoDB/adodb.inc.php');
// ------ System DB connection ----------
$dbConn = ADONewConnection('mysqli');
$dbConn->debug = SQL_DEBUG_MODE;
$dbConn->Connect(DB_HOST, DB_USER, DB_PASSWORD, DB_NAME);
if (! $dbConn->isConnected()) { die('HIBA! Nem sikerült kapcsolódni a rendszer SQL adatbázishoz!'); }
$dbConn->Execute("SET NAMES `utf8`");

// ------ LimeSurvey DB connection ----------
$dbConnLS = ADONewConnection('mysqli');
$dbConnLS->debug = SQL_DEBUG_MODE;
$dbConnLS->Connect(LS_DB_HOST, LS_DB_USER, LS_DB_PASSWORD, LS_DB_NAME);
if (! $dbConnLS->isConnected()) { die('HIBA! Nem sikerült kapcsolódni a LimeSurvey SQL adatbázishoz!'); }
$dbConnLS->Execute("SET NAMES `utf8`");


if (! class_exists('intConnect')) include('classes/intConnect.php');
if (! class_exists('Basic')) include('classes/Basic.php');
if (! class_exists('Form')) include('classes/Form.php');
if (! class_exists('Translator')) include('classes/Translator.php');
if (! class_exists('Encoding')) { include('classes/Encoding.php'); }

$oConnect = new intConnect();
$isInternet = $oConnect->checkInternetConn();
define('IS_INTERNET', $isInternet);



define('DEFAULT_LANG', 'hun');
define('L_FIRM', 'SysWeb');
define('L_SITENAME', 'Kérdőív kutatások');
define('L_DESC', 'Admin felület!');

?>