<?php

//function langUrl($url="") {
//    if (SITE_LANG) {
//        $sep = (strpos($url,'?') === false) ? "?" : "&";
//        $url .= $sep."lang=".SITE_LANG;
//    }
//    return $url;
//}

function tdNum($num) {
    settype($num, "integer");
    $number = number_format($num, 0, ',', ' ');
    return $number;
}
function tdForint($num) {
    $number = tdNum($num);
    return $number." Ft";
}

function tdBold($val) {
    return "<b>".$val."</b>";
}

$sorszamNum = 0;
function tdSorszam($val) {
    global $sorszamNum;
    if (! $val) {
        $sorszamNum++;
        return $sorszamNum;
    }
    return $val;
}

$yesNoArr = array("0" => "NEM", "1" => "IGEN");
function tdYesNo($val) {
    global $yesNoArr;
    $retVal = $yesNoArr[$val];
    if (! $retVal) { $retVal = $val; }
    return $retVal;
}


// Dátum check (YYY-MM-DD) ||$date="2012-09-12";
function dateCheck($date) {
    if (preg_match("/^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])$/",$date)) { return true; }
    else { return false; }
}

function showDate($date) {
    $dateTxt = str_replace("-", ".", $date);
    $dateTxt .= ".";
    return $dateTxt;
}

function validateDate($date, $format = 'Y-m-d') {
    $d = DateTime::createFromFormat($format, $date);
    return $d && $d->format($format) == $date;
}


function size_of_file($yoursize) {
    if($yoursize < 1024) {
        return "{$yoursize} bytes";
    } elseif($yoursize < 1048576) {
        $size_kb = round($yoursize/1024);
        return "{$size_kb} KB";
    } else {
        $size_mb = round($yoursize/1048576, 1);
        return "{$size_mb} MB";
    }
}