<?php
switch ($_REQUEST["cmd"]) {

    // ################ SYNC PROJECT SQL #################
    case "syncProjectSql":
        $prID = $_REQUEST["prid"];
        $dataArr["prid"] = $prID;

        $oProject->ID = $prID;
        $oProject->setUserTables();

        if ($syncFiles = $oProject->syncFiles($prID)) {
            if (is_array($syncFiles)) {
                $dataArr['status'] = "success";
            }
            else { $error = "A szinkronizáció fájlok nem tömb!"; }
        }
        else {
            $error = "A szinkronizáció közben hiba történt!";
        }

        function tdAttribute_7( $value ) {
            if (! $value) { return "Igen"; }
            else return $value;
        }

        $tableCells = array(
            "KKOD" => array(
                "label" => "Kérdező kódja",
                "align" => "left",
                "width" => "140px"
            ),
            "UID" => array(
                "label" => "Válaszadó sorszáma",
                "align" => "left",
                "width" => "120px"
            ),
            "KREADY" => array(
                "label" => "Kérdőív befejezve",
                "align" => "left",
                "filter" => "tdYesNo"
            ),
            "ATTRIBUTE_7" => array(
                "label" => "Státusz",
                "align" => "left",
                "width" => "120px",
                "filter" => "tdAttribute_7"
            )
        );

        $tableInfo = $oProject->oUsers->getList("KBEGIN='1'", "KKOD ASC, UID ASC");
        $oForm->resetForm();
        $oForm->buildListTable($tableCells, $tableInfo, array());
        $html = ( count($tableInfo) ) ? $oForm->getHTML() : "";
        break;



    // ################ SYNC PROJECT SOUND #################
    case "prepareSyncSoundFiles":
        $prID = $_REQUEST["prid"];
        $dataArr["prid"] = $prID;
        $html = $oProject->prepareSyncSoundFiles($prID);
        break;

    case "syncSoundFile":
        $prID = $_REQUEST["prid"];
        $dataArr["prid"] = $prID;

        if ($syncResult = $oProject->syncSoundFileByOne($prID)) {
            $html = aui_colorBox($syncResult, "", "sound");
        } else {
            $html = "";
        }
        break;


    default:
        break;
}


header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: GET, POST, OPTIONS');
header('Access-Control-Allow-Headers: Origin, Content-Type, Accept,Authorization, X-Request-With');
header('Access-Control-Allow-Credentials: true');

if ($error) {
    $dataArr['response'] = false;
    $dataArr['status'] = "danger";
    $dataArr['html'] = $error;
} else {
    $dataArr['response'] = true;
    $dataArr['status'] = "success";
    $dataArr['html'] = $html;
}

echo $_GET['callback'] . '('.json_encode($dataArr).')';

