<?php
require_once _CORE_DIR . 'classes/Mysqldump.php';
use Ifsnop\Mysqldump as IMysqldump;


include(ARCULAT_DIR."/fullscreen_header.php");

if ($error_msg) { echo aui_errorBox($error_msg); }

echo aui_title($oProject->Info['name'], "");

try {
    $incTables = array("project_1_users");
    $dumpSettings = array( "exclude-tables" => $incTables);

    $oDump = new Ifsnop\Mysqldump\Mysqldump("mysql:host=".DB_HOST.";dbname=".DB_NAME, DB_USER, DB_PASSWORD, $dumpSettings );
    $oDump->start('files/dump6.sql');
} catch (\Exception $e) {
    echo 'mysqldump-php error: ' . $e->getMessage();
};


echo aui_button("Új dump indítása", $thisURL, "success", "check");


include(ARCULAT_DIR."/fullscreen_footer.php");

?>