<?php
// -------- Megrendelő függő konstansok ----------------
define('_SERVER_DOMAIN', 'tarki.sqm.sysweb.hu');
define('_SERVER_URL', 'http://'._SERVER_DOMAIN.'/sqm');
define('_SYSTEM_DIR', "tarki");



// ----------- MySQL adatbásis paraméterek -----------------
define('SQL_DEBUG_MODE', false);
// --- System DB connection ---
define('DB_TABLE_PREFIX', 'swc_');
define('DB_HOST', 'localhost');
define('DB_NAME', 'tarki_sqm_client');
define('DB_USER', 'root');
define('DB_PASSWORD', '');
define('DB_TABLE', 'swc_project');

// ------ LimeSurvey DB connection ----------
define('LS_DB_HOST', 'localhost');
define('LS_DB_NAME', 'tarki_lime');
define('LS_DB_USER', 'root');
define('LS_DB_PASSWORD', '');


// ----------- Online kérdőív alap URL ----------------
define('KUTATAS_URL_ONLINE', 'http://ariosz.sysweb.hu/wclient2/system/');
//http://127.0.0.1:8080/ariosz/system/index.php?mod=sw_project_client&op=kutatas_online_check
// ------------ Offline LimeSurvey elérés
define('LIMESURVEY_URL', 'http://127.0.0.1:8080/tarki/limesurvey/');


// ----------- Partner parameters ----------------
define('PARTNER_LOGO', 'arculat/images/Tarki.jpg');

// ----------- Partner egyedi sz�vegek ----------------
define('HELPDESK_TEXT', 'HELPDESK telefonszáma: 06 1 700 41 89');
define('KERDOIV_HEADER_TEXT', 'Kérdező! Teszteléshez a 9010 - 9100 közötti sorszámokat használd!');

// ------------ CAPI krdv paramterei (ideiglenes) -------------------
define('CAPI_ENABLED', true);
define('CAPI_NAME', 'Telefonos kérdezések');
define('CAPI_URL', 'http://tarki.client.sysweb.hu/tarki/tel_prog/start.php');



// ---------- Ellenőrzi a KKOD-ot --------------
define('CHECK_KKOD', true );


// ----------- Állandó konstansok -----------------
define('_BASE_DIR', "system");
define('_INSTALL_BASE_DIR', dirname(__FILE__) );
$http = ($_SERVER['HTTPS']) ? "https" : "http";
define('http', $http);
define('_BASE_URL', http.'://'.$_SERVER["SERVER_NAME"].':'.$_SERVER['SERVER_PORT'].'/'._SYSTEM_DIR.'/');


// -------------- Install paraméterek -----------------------
define('_SYSTEM_INSTALL_SERVER_DIR', _SERVER_URL."/files/client_software/");
define('_SYSTEM_INSTALL_ZIP_FILENAME', "sysweb_client.zip");
define('_SYSTEM_INSTALL_SQL_FILENAME', "sysweb_client.sql");
define('_SYSTEM_INSTALL_TMPL_DIR', "_install");
define('_SYSTEM_UPDATE_ZIP_FILENAME', "sysweb_client_update.zip");


// -------------------- Gépszám detektor ---------------------------
$gepszamFilename = _BASE_URL."gepszam.txt";
$handle = @fopen($gepszamFilename, "r");
if ($handle) {
    $line = fgets($handle);
    $gepszam = substr($line, 0, 4);
    settype($gepszam, "integer");
    fclose($handle);
    if (! $gepszam) {
        $gszError = "<h1>Az eszköz nem rendelkezik aktív gépszámmal!</h1>"
        . "<p>Kérjük vegye fel a kapcsolatot a műszaki adminisztrátorral! <i>(ERROR: Missing or invalid 'gepszam.txt')</i></p>";
    } else {
        define('_GEPSZAM', $gepszam);
    }
} else { $gszError = "Nem található a készüléken a gepszam.txt fájl!"; }

if ($gszError) {
    die("HIBA!!! ".$gszError);
}


?>
