<?php
$id = $_REQUEST['id'] ;
$user_id = $_REQUEST['user_id'];
$page = $_REQUEST['page'] ; // 'login', 'check_data'
$KKOD = $_REQUEST['KKOD'] ;

if (! $id) { die('Nincs kérdőív ID megadva!'); }

// ------- CAPI kérdőív (ideiglenes) ------------------
if (CAPI_ENABLED) {
    if ($id == "capi") {
        header('Location: '.CAPI_URL);
        die();
    }
}

$oProject->ID = $id;
$oProject->setUserTables();
$oProject->getInfo();

$thisURL = $modURL."&op=kutatas_login&id=".$id;
$listURL = $modURL."&op=project_list";
$onlineCheckURL = $modURL."&op=kutatas_login_online_check";

$pTitle = "Kérdőív kezdete - azonosítás";

// -------------- CHECK FORM DATA ----------------
if ($page == "check_data") {
    $KKOD2 = $_REQUEST['KKOD2'] ;
    $UID = $_REQUEST['UID'] ;
    $UID2 = $_REQUEST['UID2'] ;
    $SUID = $_REQUEST['SUID'] ;
    settype($UID, "integer");
    settype($SUID, "integer");

    if (! preg_match('/^[0-9]{1,5}$/', $KKOD) ) { $error_msg = "A kérdező kódja maximum 5 karakter hosszú számjegy lehet."; }
    else if (! $UID) { $error_msg = "Nem adta meg a válaszadó sorszámát!"; }
    else if ($UID != $UID2) { $error_msg = "A válaszadó sorszámának ismétlése nem egyezik az eredetivel."; }
    // Ellenőrzi, hogy van-e ilyen kérdezőkód az adatbázisban
    if (! $error_msg) {
        $KKODch = $KKOD;
        settype($KKODch, "integer");
        $kkodNum = $oProject->oKerdezo->getCount();
        if (CHECK_KKOD && $kkodNum > 0) {
            if (! $oProject->oKerdezo->exists($KKODch)) { $error_msg = "Nincs ilyen kérdezőkód az adatbázisban! "; }
        }
    }
    // Ellenőrzi, hogy van-e ilyen válaszadói sorszám az adatbázisban, és jogosult-e a kitöltésre
    if (! $error_msg) {
        $user_id = $oProject->oUsers->getIDbyParams($UID, $SUID);
        if (! $user_id) { $error_msg = "Nincs ilyen válaszadói sorszám az adatbázisban! ".$user_id; }
        else {
            $uInfo = $oProject->oUsers->getInfo($user_id);
            if ($uInfo['KREADY'] == 1)  {
                $error_msg = "Ez a válaszadó (".$UID.". sorszám) már kitöltötte a kérdőívet!";
            }
            else {
                /*
                // --- LAPTOP GPS ---
                $gps = $_REQUEST['gps'];
                if ($gps) {
                    $saveArr = array( "GPS" => $gps);
                    $oProject->oUsers->Save($saveArr, $user_id);
                }
                */
            }
        }
    };


    if (! $error_msg) {
        $loginURL = $thisURL."&page=login&id=".$id."&user_id=".$user_id."&KKOD=".$KKOD;
    }
    else { $page = ""; }
}

// -------------- LOGIN ----------------
if ($page == "login") {
    $forwardURL = $onlineCheckURL . "&id=".$id."&user_id=".$user_id."&KKOD=".$KKOD;
    header("Location: ".$forwardURL);
}


$tableInfo = array( "KKOD" => $_REQUEST['KKOD'],
    "UID" => $_REQUEST['UID'],
    "UID2" => $_REQUEST['UID2']);
$tableCells = array (
    "KKOD" => array(
        "label" => "Kérdező kódja",
        "input" => "text",
        "maxchar" => 5,
        "style" => "width:80px; font-weight:bold;",
        "editable" => true
    ),
    "UID" => array(
        "label" => "Válaszadó sorszáma",
        "input" => "text",
        "maxchar" => 5,
        "style" => "width:80px; font-weight:bold;",
        "editable" => true
    ),
    "UID2" => array(
        "label" => "Válaszadó sorszáma (ismétlés)",
        "input" => "text",
        "maxchar" => 5,
        "style" => "width:80px;",
        "editable" => true
    ),
    /*
    // --- LAPTOP GPS ---
    // EZ nem működik jelenleg
    "gps" => array(
        "label" => "GPS koordináta",
        "input" => "text",
        "style" => "width:1px;height:1px;",
        "editable" => true
    )
    */
);

if ($oProject->Info['use_SUID']) {
    $tableCells["SUID"] = array(
        "label" => "Válaszadó alsorszáma",
        "input" => "text",
        "maxchar" => 5,
        "style" => "width:80px; font-weight:bold;",
        "editable" => true
    );
}

/*
 // --- LAPTOP GPS ---
 $htmlHeaderExtra = '<script src="'.ARCULAT_DIR.'/js/gps.js"></script>';
*/

include(ARCULAT_DIR."/fullscreen_header.php");

echo aui_title($oProject->Info['name'], "");

if ($error_msg) { echo aui_errorBox($error_msg); }  // HIBA esetén


if ($page == "check_data") {

    $place = $uInfo['PLACENAME'];
    if ($place) {
        $help_text = "Ez a sorszám <b>(".$UID.")</b> a(z) <b>".$place."</b>  településhez tartozik. Amennyiben nem ezen a településen kérdezel, először javítsd a sorszámot és ha ezután sem stimmel a település, akkor kérünk vedd fel a kapcsolatot az instruktoroddal.";
        echo aui_colorBox($help_text, "Település: ".$place);
        $instruction = "Győződj meg róla, hogy a cím és sorszám megfelelő. Ha javítani szeretnéd kattints az „Új sorszámot adok meg” gombra.";
        echo aui_colorBox($instruction);
    }
    else {
        $help_text = "Ehhez a sorszámhoz <b>(".$UID.")</b> nincs település meghatározva.";
        echo aui_colorBox($help_text, "Település: --- nincs meghatározva ---");
    }
    echo aui_backButton($thisURL."&KKOD=".$KKOD, "Új sorszámot adok meg");
    echo aui_button("Kérdőív elkezdése", $loginURL);
}



else if (! $page) {
    ?>
    <script type="text/javascript">
        /*
        $(document).ready( function () {
            getLatLon();
            getLocation();
        } );
        */

        function goBack() {
            document.location = "<?php echo $listURL; ?>";
        }
        function checkForm() {
            return true;
        }
    </script>
    <?php
    $oForm->form_action = $thisURL."&page=check_data";
    $oForm->cancel_action = "goBack()";
    $oForm->header("checkForm()");
    $oForm->title($pTitle . "<br><span style='font-weight: normal;'>".KERDOIV_HEADER_TEXT."</span> ");

    $oForm->buildForm($tableCells, $tableInfo);

    $oForm->formEndButtons();
    $oForm->footer();
    $oForm->parse();
}

include(ARCULAT_DIR."/fullscreen_footer.php");
